jdbm.recman

## Class TransactionManager.BlockIoComparator

- java.lang.Object
- - jdbm.recman.TransactionManager.BlockIoComparator

All Implemented Interfaces:
  Comparator

Enclosing class:
  TransactionManager

    public static class TransactionManager.BlockIoComparator
    extends Object
    implements Comparator

INNER CLASS. Comparator class for use by the tree set used to store the blocks to write for this transaction. The BlockIo objects are ordered by their blockIds.

### Constructor Summary

Constructors
Constructor and Description
`TransactionManager.BlockIoComparator()`

### Method Summary

Methods
`int` `compare(Object o1, Object o2)`
`boolean` `equals(Object obj)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TransactionManager.BlockIoComparator

    public TransactionManager.BlockIoComparator()

### Method Detail

#### compare

    public int compare(Object o1,
              Object o2)

Specified by:
  `compare` in interface `Comparator`

#### equals

    public boolean equals(Object obj)

Specified by:
  `equals` in interface `Comparator`
Overrides:
  `equals` in class `Object`